Map Entitlement

The mapentitlement API maps an entitlement to a specified user.

Endpoint

https://<site-id>/flexnet/pubservices/mapentitlement

Method

POST

Request Schema

The request body for the mapentitlement API must be an XML document that conforms to the following XML Schema (XSD).

<?xml version="1.0" encoding="UTF-8"?>

<xs:schema targetNamespace="urn:com.macrovision:flexnet/operations/publicservices"

xmlns:xs="http://www.w3.org/2001/XMLSchema "

xmlns:tns="urn:com.macrovision:flexnet/operations/publicservices"

elementFormDefault="qualified" attributeFormDefault="unqualified">

<xs:element name="Request" type="tns:entitlementMapRequestType"/>

<xs:complexType name="entitlementMapRequestType">

<xs:sequence>

<xs:element name="UserId" type="xs:string"/>

<xs:element name="Id" type="xs:string"/>

<xs:element name="UserOrg" type="xs:string" minOccurs="0"/>

</xs:sequence>

</xs:complexType>

</xs:schema>

Example Request

The following example demonstrates a request authenticated using a token.

Note: For details on token-based authentication, see Token-Based Authentication.

HOST="http://se02-ci.flexnetoperations.com "

ENT_ID="fd6c-91b4-d2d8-45b8-8d9a-5295-c3b2-f19a"

TOKEN="rna_xxxxxx"

curl -X POST "https://${HOST}/flexnet/pubservices/entitlementdetails" \

-H "Authorization: Bearer ${TOKEN}" \

-d "<?xml version=\"1.0\" encoding=\"UTF-8\"?>

<Request xmlns=\"urn:com.macrovision:flexnet/operations/publicservices\">

<UserId>john.doe@example.com</UserId>

<Id>${ENT_ID}</Id>

<UserOrg>ExampleOrganization</UserOrg>

</Request>"